明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1344|回复: 4

求助:

[复制链接]
发表于 2005-5-24 19:20:00 | 显示全部楼层 |阅读模式
有没有人知道如何用VBA在CAD中画半个标准椭圆,谁能告诉我一下,万分感谢
发表于 2005-5-24 23:17:00 | 显示全部楼层
画椭圆addellipse,并给定开始角度喝结束角度。
 楼主| 发表于 2005-5-25 08:12:00 | 显示全部楼层
我试了一下,好象画不出来呢,,能不能具体告诉我一下啊,呵呵
发表于 2005-5-25 08:23:00 | 显示全部楼层
<RE class=Code>Sub Example_EndAngle()
    ' This example creates an ellipse and enters the start and
    ' end angles to create an elliptical arc.
    Dim ellObj As AcadEllipse
    Dim majAxis(0 To 2) As Double
    Dim center(0 To 2) As Double
    Dim radRatio As Double
   
    ' Create an ellipse in model space
    center(0) = 5#: center(1) = 5#: center(2) = 0#
    majAxis(0) = 10: majAxis(1) = 20#: majAxis(2) = 0#
    radRatio = 0.3
    Set ellObj = ThisDrawing.ModelSpace.AddEllipse(center, majAxis, radRatio)
   
    'Enter a start angle of 45 degrees, and an end angle of 270 degrees
    ellObj.startAngle = 45 * (3.14 / 180)
    ellObj.endAngle = 270 * (3.14 / 180)
    ZoomAll
    MsgBox "This ellipse has a start angle of " &amp; ellObj.startAngle * (180 / 3.14) &amp; " and the end angle of " &amp; ellObj.endAngle * (180 / 3.14) &amp; " degrees.", vbInformation, "EndAngle Example"
End Sub</PRE>
 楼主| 发表于 2005-5-25 14:14:00 | 显示全部楼层
太谢谢你了,我画了好久呢,你好厉害啊
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 15:27 , Processed in 0.153228 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表